Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.tables
Class JTableMouseDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.tables.JTableMouseDriver

All Implemented Interfaces:
  LightDriver, TableDriver

public class JTableMouseDriver
extends LightSupportiveDriver
implements TableDriver

TableDriver for javax.swing.JTableDriver component type.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Constructor Summary
`JTableMouseDriver()` Constructs a JTableMouseDriver.

Method Summary
`protected void` | `clickOnCell(JTableOperator oper, int row, int column, int clickCount)` Clicks on JTable cell.
`void` | `editCell(ComponentOperator oper, int row, int column, java.lang.Object value)` Edits a cell.
`void` | `selectCell(ComponentOperator oper, int row, int column)` Selects a cell.

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTableMouseDriver

    public JTableMouseDriver()

  Constructs a JTableMouseDriver.

Method Detail

### selectCell

    public void selectCell(ComponentOperator oper,
                           int row,
                           int column)

  Description copied from interface: `TableDriver`
  Selects a cell.
  Specified by:
    `selectCell` in interface `TableDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TableDriver`
  Parameters:
    `oper` - Table operator.
    `row` - Cell row index.
    `column` - Cell column index.

### editCell

    public void editCell(ComponentOperator oper,
                         int row,
                         int column,
                         java.lang.Object value)

  Description copied from interface: `TableDriver`
  Edits a cell.
  Specified by:
    `editCell` in interface `TableDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.TableDriver`
  Parameters:
    `oper` - Table operator.
    `row` - Cell row index.
    `column` - Cell column index.
    `value` - New value.

### clickOnCell

    protected void clickOnCell(JTableOperator oper,
                               int row,
                               int column,
                               int clickCount)

  Clicks on JTable cell.
  Parameters:
    `oper` - Table operator.
    `row` - Cell row index.
    `column` - Cell column index.
    `clickCount` - Count to click.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD